### Method

# Aravis Camera select_and_enable_component

since: 0.8.23

#### Declaration [src]

    void
    arv_camera_select_and_enable_component (
      ArvCamera* camera,
      const char* component,
      gboolean disable_others,
      GError** error
    )

#### Description [src]

Select and enable the given component.

Available since: 0.8.23

#### Parameters

`component`

  Type: `const char*`

  Component to select.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`disable_others`

  Type: `gboolean`

  `TRUE` to disable all the other components.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.